Subject: [PATCH 2/3] ARM: EXYNOS: Enable multi-platform build support

From: [email-masked] (Bartlomiej Zolnierkiewicz)
Date: Wed, 21 May 2014 16:02:26 +0200

Hi,

On Wednesday, May 21, 2014 10:40:07 PM Kukjin Kim wrote:
> Sachin Kamat wrote:
> > 
> > Hi Bartlomiej,
> > 
> > On 21 May 2014 16:06, Bartlomiej Zolnierkiewicz
> > <[email-masked]> wrote:
> > >
> > > Hi,
> > >
> > > On Wednesday, May 21, 2014 12:22:48 PM Sachin Kamat wrote:
> > >> From: Arnd Bergmann <[email-masked]>
> > >>
> > >> This makes it possible to enable the exynos platform as part of a
> > >> multiplatform kernel, in addition to keeping the single-platform
> > >> Exynos support.
> > >
> > > The patch description is wrong.  After this patch single-platform Exynos
> > > support is no longer available
> > 
> > Forgot to update the message while rebasing. Thanks for noticing.
> > 
> > > and it adds at least one serious regression
> > 
> > I have mentioned about this in the cover letter.
> > 
> > > (cpufreq) which should be fixed before merging this patch.  Moreover it
> > > seems that this patch (#2) should be merged with patch #3 to preserve
> > > bisectability.
> > 
> > At this point exynos_defconfig works.
> > 
> > >Please also note that exynos_defconfig is no longer useful
> > > after these changes and can be be removed.
> > 
> > Yes.
> > 
> Well, I think keeping the exynos_defconfig would be nice like other platform in multiplatforms...and I'm going to enable possible configs in exynos_defconfig for exynso SoCs then it can cover more for exynos...

I know that many other platforms still have their own configs [*] but
I would strongly prefer to have a single config supporting Exynos SoCs
(that would be a multiplatform one) to simplify testing and prevent
situations when something works with one config but not the other.

[*] I also hope that they get removed in the longer-term.. 

Best regards,
--
Bartlomiej Zolnierkiewicz
Samsung R&D Institute Poland
Samsung Electronics